Skip to main content
GET
/
bank-linking
/
investments
/
holdings
/
{investmentHoldingId}
Get a financial account investment holding
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/investments/holdings/{investmentHoldingId} \
  --header 'Authorization: <api-key>'
{
  "accountId": "<string>",
  "closePrice": 123,
  "connectionIds": [
    "<string>"
  ],
  "costBasis": 123,
  "currency": "<string>",
  "currentValue": 123,
  "cusip": "<string>",
  "customerId": "<string>",
  "description": "<string>",
  "externalCustomerId": "<string>",
  "financialAccountId": "<string>",
  "id": "<string>",
  "isin": "<string>",
  "key": "<string>",
  "quantity": 123,
  "serviceProviderDetails": [
    {}
  ],
  "symbol": "<string>"
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

investmentHoldingId
string
required

Investment Holding id

Response

Financial account investment holding is returned

accountId
string

The unique identifier of your account with Meld. This id will be the same for all calls to Meld endpoints made from this account.

closePrice
number

Price of the asset at the close of the previous trading session

connectionIds
string[]

Connection(s) this holding belongs to.

costBasis
number

Original total value

currency
string

Currency of the amounts

currentValue
number

Total value at the close of previous trading session. Null for non-publicly traded securities

cusip
string

cusip

customerId
string

Meld generated unique identifier for your customer. This should be used to track customer activity.

description
string

Description

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.

financialAccountId
string

Financial Account id

id
string

The id of the financial account investment holding

isin
string

isin

key
string

When this financial account investment holding is part of a paginated list, this key represents its position in the list

quantity
number

Total number of units of the asset held. Depending on the type of the holding, this will be either the number of shares, number of options, or the number of crypto currency tokens held.

serviceProviderDetails
object[]

Raw service provider details for the service provider investment holdings(s) associated with this Financial Account Investment Holding. The raw format varies by service provider, but each result will always contain a serviceProvider field and an updatedAt field. Results are ordered by updatedAt, with the most recent result at the start of the list, and the oldest at the bottom.

symbol
string

Security identifier. Will be the trading symbol if for publicly traded securities or the crypto currency symbol for crypto holdings.

type
enum<string>

Holding type

Available options:
STOCK,
MUTUAL_FUND,
CASH,
OTHER,
REAL_ESTATE,
ETF,
DERIVATIVE,
DIGITAL_ASSET,
BOND